package cash.p.terminal.modules.pin

import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import cash.p.terminal.core.App
import cash.p.terminal.wallet.IAccountManager
import cash.p.terminal.wallet.Account

class SetDuressPinSelectAccountsViewModel(accountManager: cash.p.terminal.wallet.IAccountManager) : ViewModel() {

    val watchAccounts: List<cash.p.terminal.wallet.Account>
    val regularAccounts: List<cash.p.terminal.wallet.Account>

    init {
        val (watch, regular) = accountManager.accounts.partition { it.isWatchAccount }
        watchAccounts = watch
        regularAccounts = regular
    }

    class Factory : ViewModelProvider.Factory {
        @Suppress("UNCHECKED_CAST")
        override fun <T : ViewModel> create(modelClass: Class<T>): T {
            return SetDuressPinSelectAccountsViewModel(App.accountManager) as T
        }
    }
}
